package domain

import "github.com/gin-gonic/gin"

type RecipeService interface {
	CreateRecipe(ctx *gin.Context) (*Recipe, error)
	GetRecipe(id int, userId *int) (*Recipe, error)
	SearchRecipes(filters SearchFilters, userId *int, favorites bool) ([]Recipe, error)
	GetUserRecipes(id int) ([]Recipe, error)
	GetUserFavoriteRecipes(id int) ([]Recipe, error)
	GetUserViewedRecipes(userId, limit int) ([]Recipe, error)
	GetUserMadeRecipes(userId, limit int) ([]Recipe, error)
}
